Get an eval run
curl --request POST \
--url https://api.anpord.com/v1/evals.get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.anpord.com/v1/evals.get"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.anpord.com/v1/evals.get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
"<string>"
],
"cells": [
{
"caseName": "<string>",
"cellKey": "<string>",
"comparison": {
"baselinePassRate": 123,
"candidatePassRate": 123,
"delta": 123,
"determinismLost": true,
"reason": "<string>",
"verdict": "improved"
},
"distribution": {
"commandMax": 123,
"commandMedian": 123,
"commandMin": 123,
"deterministic": true,
"failed": 123,
"passRate": 123,
"passed": 123,
"scored": 123,
"trials": 123,
"voided": 123
},
"internalId": "<string>",
"setup": {
"prompt": "<string>",
"repoRef": "<string>",
"repoUrl": "<string>",
"setupCommand": "<string>",
"verifyCommand": "<string>",
"workspace": "<string>"
},
"status": "running",
"taskIndex": 123,
"trials": [
{
"commands": 123,
"exitCode": 123,
"failedCommands": 123,
"filesChanged": [
"<string>"
],
"modelMs": 123,
"ordinal": 123,
"passed": true,
"sandboxId": "<string>",
"sandboxMs": 123,
"status": "queued",
"timed": true,
"trajectory": [
{
"_tag": "command",
"command": "<string>",
"exitCode": 123,
"finishedAtMillis": 123,
"output": "<string>",
"startedAtMillis": 123
}
],
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123
},
"voidFields": [
"<string>"
]
}
]
}
],
"failure": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "running",
"tasks": [
{
"harness": "codex",
"harnessVersion": "<string>",
"model": "<string>",
"provider": "daytona"
}
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Evals
Get an eval run
POST
/
v1
/
evals.get
Get an eval run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Select an eval run by id.
Response
A complete eval run with its cells and trials.
A complete eval run with its cells and trials.
Show child attributes
Show child attributes
An ISO-8601 timestamp in UTC.
An ISO-8601 timestamp in UTC.
Available options:
running, finished, failed Show child attributes
Show child attributes
⌘I